Subject: Re: [PATCH v2 12/14] i18n: show-branch: mark error messages for translation

From: Jean-Noël AVILA <[email-masked]>
Date: Mon, 12 Sep 2016 19:19:55 +0200

On lundi 12 septembre 2016 10:02:54 CEST Junio C Hamano wrote:
> Jean-Noël Avila <[email-masked]> writes:
> > Le 12/09/2016 à 13:30, Vasco Almeida a écrit :
> >>  		if (MAX_REVS < reflog)
> >> 
> >> -			die("Only %d entries can be shown at one time.",
> >> +			die("only %d entries can be shown at one time.",
> >> 
> >>  			    MAX_REVS);
> > 
> > Wouldn't you i18n this one too, with plural form?
> 
> I would think this one is OK in practice for the same reason as 7/14

I would think the contrary for the same reason as 14/14 

We don't know the actual value of MAX_REVS at the time we translate, and 
plural forms can be quite different depending on its value. See for instance 
polish:

https://www.gnu.org/software/gettext/manual/html_node/Plural-forms.html

Of course, too bad, we only use one of the forms but I don't see any 
alternative.

Thanks,

JN